# Generated from pr-zlib-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pr-zlib

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: Pure Ruby version of the zlib library
License: zlib
URL: https://github.com/djberg96/pr-zlib
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(test-unit) >= 2.4.0
# BuildRequires: rubygem(ruby-prof)
BuildArch: noarch

%description
The pr-zlib library is a pure Ruby implementation of both the zlib C
library, and the Ruby zlib interface that ships as part of the standard
library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/minirbgzip
%{gem_instdir}/CHANGES
%{gem_instdir}/MANIFEST
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_libdir}
%{gem_instdir}/profile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/pr-zlib.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.6-1
- Initial package
